package ink.wgink.pojo.dtos.group;

import ink.wgink.pojo.pos.GroupPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: GroupDTO
 * @Description: 组
 * @Author: wenc
 * @Date: 2019/1/6 3:50 PM
 * @Version: 1.0
 **/
@ApiModel
public class GroupDTO extends GroupPO {

    @ApiModelProperty(name = "subGroups", value = "子组列表")
    private List<GroupDTO> subGroups;

    public List<GroupDTO> getSubGroups() {
        return subGroups;
    }

    public void setSubGroups(List<GroupDTO> subGroups) {
        this.subGroups = subGroups;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"subGroups\":")
                .append(subGroups);
        sb.append('}');
        return sb.toString();
    }
}